package org.springframework.security.openid;

import java.util.List;

import javax.servlet.http.HttpServletRequest;


/** 
 * Handler to be called then authentication via OpenID successfully done
 * It is called then we receive success response from OpenId provider.
 * 
 * @author akakunin
 */
public interface OpenIdAuthenticationHandler {
    void onOpenIdAuthenticationSuccess(
    	HttpServletRequest request, String identityUrl, List<OpenIDAttribute> attributes);
}
