package org.springframework.security.openid.google;

import java.util.ArrayList;
import java.util.List;

import org.springframework.security.openid.AxFetchListFactory;
import org.springframework.security.openid.OpenIDAttribute;

import com.google.step2.Step2;
import com.google.step2.Step2.AxSchema;

public class GoogleAxFetchListFactory implements AxFetchListFactory {

	public List<OpenIDAttribute> createAttributeList(String identifier) {
		List<OpenIDAttribute> attributes = new ArrayList<OpenIDAttribute>();
		for (AxSchema schema : Step2.AxSchema.values()) {
			OpenIDAttribute attribute = new OpenIDAttribute(schema.getShortName(), schema.getUri());
			String shortName = schema.getShortName();
			if (shortName.equals("email") 
					|| shortName.equals("firstName") 
					|| shortName.equals("lastName")) {
				attribute.setRequired(true);
			}
			attributes.add(attribute); 
		}
		return attributes;
	}

}
